Bug 1223943 - icon file in wrong folder - menu icon too big in Xfce
Summary: icon file in wrong folder - menu icon too big in Xfce
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gitso
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cédric OLIVIER
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 18:33 UTC by René Genz
Modified: 2019-11-02 14:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
resized to 128x128 px gitso.png (16.70 KB, image/png)
2018-03-07 15:12 UTC, René Genz
no flags Details

Description René Genz 2015-05-21 18:33:38 UTC
Description of problem:
The icon of gitso is too big in the application menu of Xfce compared to the other icons.

Version-Release number of selected component (if applicable):
gitso.noarch   0.6-11.fc21

How reproducible:
100%

Steps to Reproduce:
1. dnf group install -y "Xfce Desktop"
2. dnf install -y gitso
3. start Xfce session
4. have a look at 'Applications -- Internet -- Gitso'

Actual results:
The icon of gitso is about four times bigger than the other icons in the same category.

Expected results:
Icon of gitso should have the same size as the other icons.

Additional info:
Is it ok to put a 512^2 icons in a folder that is supposed to contain only 128^2 icons?

$ file -b /usr/share/gitso/icon.png /usr/share/icons/hicolor/128x128/apps/gitso.png
PNG image data, 512 x 512, 8-bit/color RGBA, non-interlaced
PNG image data, 512 x 512, 8-bit/color RGBA, non-interlaced

Maybe it is a scaling bug in Xfce?

Comment 1 René Genz 2016-04-29 16:33:24 UTC
still present in fedora 24

Comment 2 René Genz 2016-05-16 16:22:07 UTC
A short term fix would be to resize the file:
/usr/share/icons/hicolor/128x128/apps/gitso.png

The following works for me:
$ file -b /usr/share/icons/hicolor/128x128/apps/gitso.png
PNG image data, 512 x 512, 8-bit/color RGBA, non-interlaced

$ su -c 'dnf install -y ImageMagick'

$ su -c 'mogrify -resize 128x128 /usr/share/icons/hicolor/128x128/apps/gitso.png'

$ file -b /usr/share/icons/hicolor/128x128/apps/gitso.png
PNG image data, 128 x 128, 8-bit/color RGBA, non-interlaced

You must log off from Xfce session and log in again to see the change.

Comment 3 René Genz 2017-07-17 17:45:20 UTC
still present in Fedora 26

Comment 4 René Genz 2018-03-07 15:12:38 UTC
Created attachment 1405400 [details]
resized to 128x128 px gitso.png

still present in Fedora 28

attached is a resized gitso.png file; feel free to use it

Comment 5 René Genz 2018-03-11 13:52:22 UTC
It seems the proper fix is the move the gitso.png file from the 128^2 to the 512^2 folder and update the icon cache.
I verified this solution with these commands:
$ cd /usr/share/icons
$ sudo mv hicolor/{128x128,512x512}/apps/gitso.png
$ sudo gtk-update-icon-cache hicolor
logout and login again to Xfce session

As ar as I could find out the update of the icon cache is done automatically after installation of the package, so the file location will be updated with this pull request:
https://src.fedoraproject.org/rpms/gitso/pull-request/1

Comment 6 René Genz 2018-09-08 22:56:03 UTC
gitso-0.6-19.fc29.noarch is affected

Comment 7 Ben Cotton 2019-10-31 20:42:40 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 René Genz 2019-11-02 14:48:29 UTC
In Xfce 4.14 (Fedora 30) the icons get rescaled to the proper size. So you can see the problem only directly after installation of gitso.
The next time you log in (or the icon cache gets updated) the icon has the proper size. From my point of view it would still be good to move the icon file to the proper folder.


Note You need to log in before you can comment on or make changes to this bug.